Chromium Code Reviews
chromiumcodereview-hr@appspot.gserviceaccount.com (chromiumcodereview-hr) | Please choose your nickname with Settings | Help | Chromium Project | Gerrit Changes | Sign out
(975)

Unified Diff: build/android/buildbot.sh

Issue 8758007: Check $? of 'make' before a 'set -e' call. Else it is overridden. (Closed) Base URL: svn://svn.chromium.org/chrome/trunk/src
Patch Set: Created 9 years, 1 month ago
Use n/p to move between diff chunks; N/P to move between comments. Draft comments are only viewable by you.
Jump to:
View side-by-side diff with in-line comments
Download patch
« no previous file with comments | « no previous file | no next file » | no next file with comments »
Expand Comments ('e') | Collapse Comments ('c') | Show Comments Hide Comments ('s')
Index: build/android/buildbot.sh
diff --git a/build/android/buildbot.sh b/build/android/buildbot.sh
index b6bda9ff57ac3244d5b94d7580c13c3971c40757..7446f8b58113b1aa9b72a4e40f4ab7d5ad748866 100755
--- a/build/android/buildbot.sh
+++ b/build/android/buildbot.sh
@@ -58,10 +58,10 @@ for target in ${EXPERIMENTAL_TARGETS} ; do
echo "@@@BUILD_STEP Experimental Compile $target @@@"
set +e
make -j4 "${target}"
- set -e
if [ $? -ne 0 ] ; then
echo "@@@STEP_WARNINGS@@@"
fi
+ set -e
done
echo "@@@BUILD_STEP Run Tests@@@"
« no previous file with comments | « no previous file | no next file » | no next file with comments »

Powered by Google App Engine
This is Rietveld 408576698